Bug 207974 - gnome-screensaver lock doesn't work with unredirect_fullscreen_windows enabled
gnome-screensaver lock doesn't work with unredirect_fullscreen_windows enabled
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-09-25 12:41 EDT by Trevor Davenport
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-03 17:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trevor Davenport 2006-09-25 12:41:11 EDT
If the option to unredirect fullscreen windows
(/apps/compiz/general/screen0/options/unredirect_fullscreen_windows) is enabled
then the gnome-screensaver lock dialog is not visible and you are allowed to
view windows underneath by pressing alt-tab.
Comment 1 Søren Sandmann Pedersen 2006-10-03 17:22:47 EDT
unredirect_fullscreen_windows cannot possibly work on the Fedora version of
compiz since we use the a feature of Composite called an "Overlay Window". This
window would cover any unredirected fullscreen windows and cause all sorts of
unpredictable behavior.

So WONTFIX'ing this bug. 

Note You need to log in before you can comment on or make changes to this bug.